## ide-highlight-index

ide-highlight-index

## Functions

IdeHighlightIndex * | ide_highlight_index_new ()
IdeHighlightIndex * | ide_highlight_index_ref ()
void | ide_highlight_index_unref ()
void | ide_highlight_index_insert ()
gpointer | ide_highlight_index_lookup ()
void | ide_highlight_index_dump ()

## Description

## Functions

### ide_highlight_index_new ()

    IdeHighlightIndex *
    ide_highlight_index_new (void);

### ide_highlight_index_ref ()

    IdeHighlightIndex *
    ide_highlight_index_ref (IdeHighlightIndex *self);

### ide_highlight_index_unref ()

    void
    ide_highlight_index_unref (IdeHighlightIndex *self);

### ide_highlight_index_insert ()

    void
    ide_highlight_index_insert (IdeHighlightIndex *self,
                                const gchar *word,
                                gpointer tag);

### ide_highlight_index_lookup ()

    gpointer
    ide_highlight_index_lookup (IdeHighlightIndex *self,
                                const gchar *word);

Gets the pointer tag that was registered for `word` , or `NULL`. This can be any arbitrary value. Some highlight engines might use it to point at internal structures or strings they know about to optimize later work.

#### Parameters

self | An IdeHighlightIndex. |

#### Returns

Highlighter specific tag.

[transfer none][nullable]

### ide_highlight_index_dump ()

    void
    ide_highlight_index_dump (IdeHighlightIndex *self);

## Types and Values